#include "person.hpp"
#include <sstream>
#include <iostream>

using std::string;

int Person::count = 0;
const int Person::answer = 42;

Person::Person(string vorname, string nachname) : vorname(vorname), nachname(nachname), id(count) {
	count++;
}

Person::~Person() {
	std::cout << "Destruktor von Person" << std::endl;
}

string Person::toString() const {
	std::stringstream strstr;
	strstr << vorname << " " << nachname;
	return strstr.str();
}

int Person::getCount() {
	return count;
}
